
<html>
	<head>
		<link href="/static/css/style.css" rel="stylesheet">
	</head>
	<body>
		{% include "header.html" %}
		<div class="container">
			<div class="user">
				<h1>{{user.firstname}}
				{{user.lastname}}
				{{user.istitution}}
				{{user.displayname}}</h1>
<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Mutata quaerere.." title="Type in a name">


<ul id="myUL">
					{%for contribution in user.contributions|sort(attribute='date', reverse=True)%}
					<li><a href="/passages/urn:cts:greekLit:tlg7000.tlg001.ag:{{contribution.title|replace('Greek Anthology ', '')}}">{{contribution.date}}  {{contribution.type}}  {{contribution.title|replace('Greek Anthology', 'Anthologia Graeca')}}</a></li>
				{%endfor%}
</ul>

			</div>
		</div>
<script>
function myFunction() {
    var input, filter, ul, li, a, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    ul = document.getElementById("myUL");
    li = ul.getElementsByTagName("li");
    for (i = 0; i < li.length; i++) {
        a = li[i].getElementsByTagName("a")[0];
        txtValue = a.textContent || a.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            li[i].style.display = "";
        } else {
            li[i].style.display = "none";
        }
    }
}
</script>
	</body>
</html>
